Bug 24995 - Add issuedate to table_account_fines and finest in Accounting tab
Summary: Add issuedate to table_account_fines and finest in Accounting tab
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-26 20:37 UTC by Lucas Gass
Modified: 2020-05-15 21:19 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 24995: Add issuedate to table_account_fines and finest (5.82 KB, patch)
2020-03-26 21:19 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24995: Add issuedate to table_account_fines and finest (5.86 KB, patch)
2020-03-26 21:26 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24995: Add issuedate to table_account_fines and finest (5.93 KB, patch)
2020-04-03 14:33 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24995: Add issuedate to table_account_fines and finest (5.98 KB, patch)
2020-05-02 01:57 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24995: (QA follow-up) Terminology: Use checkin and checkout (1.67 KB, patch)
2020-05-02 02:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-03-26 20:37:33 UTC
Some librarians would find if useful if under the Transaction tab the tables (#table_account_fines and #finest) included the issuedate. That information becomes is important during fine disputes.

These two columns should also be configurable with the columns config tool.
Comment 1 Lucas Gass 2020-03-26 21:19:30 UTC
Created attachment 101911 [details] [review]
Bug 24995: Add issuedate to table_account_fines and finest

TO TEST:
1. Have a patron with some fines on an item. Try accruing fines.
2. Go to the accounting tab and look at both the Tranaction tab and Make a payment Tab
3. No Issue Date
4. Apply patch
5. Check those tabs again and see the issue date displays.
6. Go to column configuration and try to hide the issuedate, make sure it hides properly. Try this for both tables. Also make sure other columns hide properly.
7. Sign off!
Comment 2 Lucas Gass 2020-03-26 21:26:53 UTC
Created attachment 101912 [details] [review]
Bug 24995: Add issuedate to table_account_fines and finest

TO TEST:
1. Have a patron with some fines on an item. Try accruing fines.
2. Go to the accounting tab and look at both the Tranaction tab and Make a payment Tab
3. No Issue Date
4. Apply patch
5. Check those tabs again and see the issue date displays.
6. Go to column configuration and try to hide the issuedate, make sure it hides properly. Try this for both tables. Also make sure other columns hide properly.
7. Sign off!
Comment 3 Andrew Fuerste-Henry 2020-04-03 14:33:54 UTC
Created attachment 102389 [details] [review]
Bug 24995: Add issuedate to table_account_fines and finest

TO TEST:
1. Have a patron with some fines on an item. Try accruing fines.
2. Go to the accounting tab and look at both the Tranaction tab and Make a payment Tab
3. No Issue Date
4. Apply patch
5. Check those tabs again and see the issue date displays.
6. Go to column configuration and try to hide the issuedate, make sure it hides properly. Try this for both tables. Also make sure other columns hide properly.
7. Sign off!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Katrin Fischer 2020-05-02 01:57:09 UTC
Created attachment 104169 [details] [review]
Bug 24995: Add issuedate to table_account_fines and finest

TO TEST:
1. Have a patron with some fines on an item. Try accruing fines.
2. Go to the accounting tab and look at both the Tranaction tab and Make a payment Tab
3. No Issue Date
4. Apply patch
5. Check those tabs again and see the issue date displays.
6. Go to column configuration and try to hide the issuedate, make sure it hides properly. Try this for both tables. Also make sure other columns hide properly.
7. Sign off!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-05-02 01:58:10 UTC
This follows exactly the pattern of due date and return date - so PQA.

But looking at this I wonder if those columns all sort correctly to dateformat?
Comment 6 Katrin Fischer 2020-05-02 02:25:51 UTC
Actually this chould be Checkout date... I'll provide a follow up.
Comment 7 Katrin Fischer 2020-05-02 02:29:53 UTC
Created attachment 104171 [details] [review]
Bug 24995: (QA follow-up) Terminology: Use checkin and checkout

... instead of issue and return.
Comment 8 Martin Renvoize 2020-05-04 08:31:06 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-05-11 21:24:21 UTC
backported to 19.11.x for 19.11.06
Comment 10 Lucas Gass 2020-05-15 21:19:40 UTC
enhancement will not be backported to 19.05.x series